{% extends "admin/layout.html" %}

{% block content %}
<section>
	<div class="header">
		<h2>Articles</h2>
		<a href="/admin/edit/article"><button>Nouvel article</button></a>
	</div>
	{% if datas.articles %}
	<table>
		<thead>
			<tr>
				<th class="filters" id="afilters-id">id</th>
				<th class="filters" id="afilters-title">Titre</th>
				<th class="filters" id="afilters-url_title">Titre URL</th>
				<th class="filters" id="afilters-cat">Catégorie</th>
				<th class="filters" id="afilters-state">État</th>
				<th class="filters" id="afilters-date">Date</th>
				<th>Modifier</th>
				<th>Supprimer</th>
			</tr>
		</thead>
		<tbody id="list_articles">
			{% for art in datas.articles %}
			<tr id="{{ art.id }}" class="articles-row {datas}">
				<td>{{ art.id }}</td>
				<td>{{ art.title }}</td>
				<!--<td><img nosrc="{path}" alt="{tags}" /></td>-->
				<td>{{ art.url_title }}</td>
				<td>{{ art.cat }}</td>
				<td>{{ art.state }}</td>
				<td>{{ art.date }}</td>
				<td><a href="/admin/edit/article/{{ art.id }}"><button></button></a></td>
				<td><a href="/admin/delete/article/{{ art.id }}"><button class="button_delete"></button></a></td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
	{% else %}
	<h4>Aucun article pour le moment</h4>
	{% endif %}
</section>
<section>
	<div class="header">
		<h2>Photo du moment</h2>
		<button>Nouvelle photo</button>
		<!--<input type="file" name="photo_new" />-->
	</div>
	{% if datas.photos %}
	<h4>TODO photos</h4>
	<img id="{photos}" class="{datas}" nosrc="" alt="" />
	{% else %}
	<h4>Pas de photos pour le moment</h4>
	{% endif %}
</section>
<section>
	<div class="header">
		<h2>Position / étapes</h2>
		<button>Nouvelle étape</button>
	</div>
	{% if datas.steps %}
	<p> ... étapes précédentes ... </p>
	{% else %}
	<h4>Pas d'étapes enregistrées pour le moment</h4>
	{% endif %}
</section>
<section>
	<div class="header">
		<h2>Catégories</h2>
		<a href="/admin/edit/categorie"><button>Nouvelle catégorie</button></a>
	</div>
	{% if datas.categories %}
	<table>
		<thead>
			<tr>
				<th>Titre</th>
				<th>Titre URL</th>
				<th>id</th>
				<th>Description</th>
				<th>Modifier</th>
			</tr>
		</thead>
		<tbody>
			{% for cat in datas.categories %}
			<tr id="{{ cat.id }}" class="{datas}">
				<td>{{ cat.title }}</td>
				<td>{{ cat.url_title }}</td>
				<!--<td><img nosrc="f/y" alt="pht" title="photo couverture" /></td>-->
				<td>{{ cat.id }}</td>
				<td>{{ cat.description }}</td>
				<td><a href="/admin/edit/categorie/{{ cat.id }}"><button>modifier</button></a></td>
			</tr>
			{% endfor %}
		</tbody>
	</table>
	{% else %}
	<h4>Aucune catégorie pour le moment</h4>
	{% endif %}
</section>
{% endblock %}
